package com.bankaudit.dao;

import com.bankaudit.dto.DataTableResponse;
import com.bankaudit.model.MaintControlDesignEffectiveness;

public interface MaintControlDesignEffectivenessDao extends Dao {
	DataTableResponse getAllMaintControlDesignEffectiveness(String search, Integer orderColumn, String orderDirection, Integer page,
			Integer size,Integer legalEntityCode);

	void deleteMaintControlDesignEffectiveness(Integer legalEntityCode, String controlDesignEffCode, String controlDesignEffType,
			String statusAuth);

	Boolean isMaintControlDesignEffectiveness(Integer legalEntityCode, String controlDesignEffCode, String controlDesignEffType);
	
	Boolean validateScore(MaintControlDesignEffectiveness maintControlDesignEffectiveness);
}
